[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.EraseBackground

Fills the display rectangle for the control with the color and pattern in Brush.

## Declaration

Source position: controls.pp line 2433

`public procedure TWinControl.EraseBackground(`
`DC: HDC`
`); virtual;`

## Arguments

`DC` |  | The device context to use; may be clipped to a certain shape.

## Description

EraseBackground is called during Paint requests from the WMEraseBkgnd method, which provides a valid device context in the DC argument. No actions are performed in the method when DC contains 0 (unassigned).

The FillRect routine is called to perform the operation using the Width, Height, and the handle in the Brush property.

## See also

TWinControl.Brush |  | The Brush used to paint the background for the control.
TControl.Height |  | The vertical size for the control.
TControl.Width |  | The horizontal size for the control.